> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all jobs



## OpenAPI

````yaml /api-reference/4.2/service-jobs.json get /jobs
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service jobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: jobs
paths:
  /jobs:
    get:
      tags:
        - 4.2 Jobs API
      summary: List all jobs
      operationId: listJobs
      parameters:
        - name: status
          in: query
          description: >-
            Filter jobs by status, one of: `ready`, `running`, `success`,
            `aborted`, or `failed`
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: enabled
          in: query
          description: >-
            Filter jobs by whether they are enabled (`true`) or disabled
            (`false`)
          required: false
          schema:
            type: string
        - name: type
          in: query
          description: 'Filter jobs by type, one of: `task`, `spark`, or `datasource`'
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JobView'
components:
  schemas:
    JobView:
      type: object
      properties:
        resource:
          $ref: '#/components/schemas/FusionResource'
        enabled:
          type: boolean
          readOnly: true
          default: false
        startedBy:
          type: string
          readOnly: true
        status:
          type: string
          readOnly: true
        extra:
          type: object
          readOnly: true
          additionalProperties:
            type: object
        lastStartTime:
          type: string
          format: date-time
          readOnly: true
        lastEndTime:
          type: string
          format: date-time
          readOnly: true
        nextStartTime:
          type: string
          format: date-time
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````